Index: src/main/resources/static/js/business_admin.js
===================================================================
--- src/main/resources/static/js/business_admin.js	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
+++ src/main/resources/static/js/business_admin.js	(revision 53765ddd7eb6bc0f9ce45bc734229dd648e2557e)
@@ -1,8 +1,14 @@
 $(document).ready(function() {
     var business = {};
-
-    getBusinessInfo().then(function (data) {
-        business = data;
-    });
+    var serviceTypeList = {};
+
+    getServiceTypes().then(function (serviceTypes) {
+        serviceTypeList = serviceTypes;
+        getBusinessInfo(serviceTypes).then(function (data) {
+            business = data;
+        });
+    });
+
+
 
     getAppointments();
@@ -71,5 +77,5 @@
 
         updateServices(servicesObj).then(function (response) {
-            getBusinessInfo().then(function (data) {
+            getBusinessInfo(serviceTypeList).then(function (data) {
                 business = data;
             });
@@ -78,5 +84,5 @@
         if (servicesForDelete.length > 0) {
             deleteServices(servicesForDelete).then(function (response) {
-                getBusinessInfo().then(function (data) {
+                getBusinessInfo(serviceTypeList).then(function (data) {
                     business = data;
                 });
@@ -101,5 +107,5 @@
 
         updateBusinessInfo(businesses).then(function() {
-            getBusinessInfo().then(function (found) {
+            getBusinessInfo(serviceTypeList).then(function (found) {
                 business = found;
             });
@@ -205,5 +211,13 @@
 }
 
-function getBusinessInfo() {
+function getServiceTypes() {
+    return $.ajax({
+        url: "http://localhost:8080/api/nomenclature/serviceTypes/me"
+    }).then(function (serviceTypes) {
+        return serviceTypes;
+    });
+}
+
+function getBusinessInfo(serviceTypeList) {
     return $.ajax({
         url: "http://localhost:8080/api/business/me"
@@ -231,4 +245,7 @@
         var $el = $("#predefined_services_admin_panel");
         $el.empty();
+        const existingServiceTypeIds = business['services'].map(service => service['serviceType']['id']);
+        const missingAddedServiceTypes = serviceTypeList.filter(serviceType => existingServiceTypeIds.indexOf(serviceType['id']) === -1);
+        //console.log(missingAddedServiceTypes);
 
         $.each(business['services'], function (index, obj) {
Index: src/main/resources/static/js/customer_admin.js
===================================================================
--- src/main/resources/static/js/customer_admin.js	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
+++ src/main/resources/static/js/customer_admin.js	(revision 53765ddd7eb6bc0f9ce45bc734229dd648e2557e)
@@ -1,5 +1,8 @@
 $(document).ready(function() {
-
-    getCustomerInfo();
+    var customer = {};
+
+    getCustomerInfo().then(function (customerData) {
+        customer = customerData;
+    });
 
     getFutureAppointments();
@@ -70,5 +73,5 @@
 
 function getCustomerInfo() {
-    $.ajax({
+    return $.ajax({
         url: "http://localhost:8080/api/customer/me"
     }).success(function (customer) {
@@ -82,4 +85,5 @@
         $('#email').val(customer['email']);
         $('#username').val(customer['username']);
+        return customer;
     }).error(function (error) {
         console.log(JSON.stringify(error));
Index: src/main/resources/static/js/homepage.js
===================================================================
--- src/main/resources/static/js/homepage.js	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
+++ src/main/resources/static/js/homepage.js	(revision 53765ddd7eb6bc0f9ce45bc734229dd648e2557e)
@@ -59,5 +59,5 @@
 
     $.ajax({
-        url: "http://localhost:8080/api/nomenclatures/businessTypes"
+        url: "http://localhost:8080/api/nomenclature/businessTypes"
     }).then(function (data) {
         businessTypes = data;
@@ -338,5 +338,5 @@
     }).then(function (data) {
         var $el = $("#reviewsModalBody");
-        $('#reviews-ul').append($('<td class="form-outline mb-4"><button type="button" id="reviews-li" class="btn btn-primary btn-block" data-bs-toggle="modal" data-bs-target="#showReviewsModal">Checkout reviews</button></td>'));
+        $('#reviews-ul').append($('<button type="button" id="reviews-li" class="btn btn-primary btn-block" data-bs-toggle="modal" data-bs-target="#showReviewsModal">Checkout reviews</button>'));
         $el.empty();
 
Index: src/main/resources/static/js/register_business.js
===================================================================
--- src/main/resources/static/js/register_business.js	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
+++ src/main/resources/static/js/register_business.js	(revision 53765ddd7eb6bc0f9ce45bc734229dd648e2557e)
@@ -2,9 +2,8 @@
     var enumerations = {};
     $.ajax({
-        url: "http://localhost:8080/api/nomenclatures/businessTypes"
+        url: "http://localhost:8080/api/nomenclature/businessTypes"
     }).then(function (data) {
         enumerations = data;
         var $el = $("#companyType");
-        //$el.empty(); // remove old options
 
         $.each(data, function (index, obj) {
@@ -103,5 +102,4 @@
         });
         businessObj['services'] = servicesObj;
-        console.log(businessObj);
         $.ajax({
             url: "http://localhost:8080/api/business",
@@ -113,5 +111,5 @@
                 alert( "Well done! You have finished the registration process. " +
                     "Please check periodically to see if the company has been approved." );
-                window.location.href = "/homepage";
+                window.location.href = "/login";
             },
             error: function(err) {
